import logging
from pathlib import Path
import pysftp
from pycapo import CapoConfig

LOG = logging.getLogger('ingestion')
config = CapoConfig()

KEY_FILE=str(Path.home() / '.ssh' / 'scp_only')
SSH_USER = 'vlapipe'
SSH_HOST = 'mcilroy.aoc.nrao.edu'
OUT_DIR = config.getstring('archive-ingestion.vlass.ThumbnailPath')

# Disable the use of host keys.
cnopts = pysftp.CnOpts()
cnopts.hostkeys = None


def copy_thumbnail(source, target):
    """
        Remote copy of thumbnail images
    """
    target_path = Path(target)

    LOG.debug(f"Copying thumbnail from {source} to {target}")

    with pysftp.Connection(SSH_HOST, username=SSH_USER, private_key=KEY_FILE, cnopts=cnopts) as sftp:
        sftp.makedirs(str(target_path.parent))
        sftp.put(source, remotepath=str(target_path))
